org.apache.fop.pdf

## Class PDFFontType0

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFDictionary
    - - org.apache.fop.pdf.PDFFont
      - - org.apache.fop.pdf.PDFFontType0

- All Implemented Interfaces:
    PDFWritable

      public class PDFFontType0
      extends PDFFont

  Class representing a Type0 font.

  Type0 fonts are specified on page 208 and onwards of the PDF 1.3 spec.

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.pdf.PDFDictionary

      `entries, order`

    - ### Fields inherited from class org.apache.fop.pdf.PDFObject

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFFontType0(java.lang.String fontname, java.lang.String basefont, java.lang.Object encoding)` Create the /Font object
    `PDFFontType0(java.lang.String fontname, java.lang.String basefont, java.lang.Object encoding, PDFCIDFont descendantFonts)` Create the /Font object

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setCMAP(PDFCMap cmap)` Sets the character map
    `void` | `setDescendantFonts(PDFCIDFont descendantFonts)` Set the descendant font

    - ### Methods inherited from class org.apache.fop.pdf.PDFFont

      `createFont, getBaseFont, getName, getPDFNameForFontType, output, setEncoding, setEncoding, setToUnicode, validate`

    - ### Methods inherited from class org.apache.fop.pdf.PDFDictionary

      `containsKey, get, getChildren, getChildren, keySet, put, put, remove, writeDictionary`

    - ### Methods inherited from class org.apache.fop.pdf.PDFObject

      `contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF, toPDFString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFFontType0

          public PDFFontType0(java.lang.String fontname,
                      java.lang.String basefont,
                      java.lang.Object encoding)

      Create the /Font object
      Parameters:
        `fontname` - the internal name for the font
        `basefont` - the base font name
        `encoding` - the character encoding schema used by the font

    - #### PDFFontType0

          public PDFFontType0(java.lang.String fontname,
                      java.lang.String basefont,
                      java.lang.Object encoding,
                      PDFCIDFont descendantFonts)

      Create the /Font object
      Parameters:
        `fontname` - the internal name for the font
        `basefont` - the base font name
        `encoding` - the character encoding schema used by the font
        `descendantFonts` - the CIDFont upon which this font is based

  - ### Method Detail

    - #### setDescendantFonts

          public void setDescendantFonts(PDFCIDFont descendantFonts)

      Set the descendant font
      Parameters:
        `descendantFonts` - the CIDFont upon which this font is based

    - #### setCMAP

          public void setCMAP(PDFCMap cmap)

      Sets the character map
      Parameters:
        `cmap` - the character map

Copyright 1999-2019 The Apache Software Foundation. All Rights Reserved.